API Docs > 2 > API Authorization > Update Authorization Server PUT
Update Authorization Server Try it with your credentials Fills <placeholders> in code examples on this page Subdomain saved in browser • Access token tab-only • Client ID & Secret never stored. Details — Clear saved data
Use this API to update an Authorization Server.
See the following for a general overview of API Authorization Management .
Resource URL https://<subdomain>.onelogin.com/api/2/api_authorizations/:id Authorization
required
string
Set to bearer <access_token>.
Set <access_token> to the access token you generated using the Generate Token API.
The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.
Content-Type
required
string
Set to application/json.
Resource Parameter id
required
integer
Set to the id of the authorization server that you want to update. If you do not know the id, use the List Authorization Servers API call to return all authorization servers and their id values.
Request Parameters See API Authorization Resource for attribute definitions.
Sample Request Body {
" name " : " Contacts API " ,
" description " : " This is an api " ,
" configuration " : {
" resource_identifier " : " https://example.com/contacts " ,
" audiences " : [ " https://example.com/contacts " ] ,
" access_token_expiration_minutes " : 10 ,
" refresh_token_expiration_minutes " : 30
}
}
```html
<h 2 >Sample Responses</h 2 >
<div class= " tab-group " >
<ul class= " tab-links " >
<li class= " t-link status-200 active " data-tab= " 1 " > 200 OK</li>
<li class= " t-link status-400 " data-tab= " 2 " > 400 Bad Request</li>
<li class= " t-link status-401 " data-tab= " 3 " > 401 Unauthorized</li>
<li class= " t-link status-422 " data-tab= " 4 " > 422 Unprocessable Entity</li>
</ul>
<div class= " tab-views " >
<div class= " t-view active " data-tab= " 1 " >
```json
{
" id " : 1022697
} You need to submit all of the attributes
{
" field " : " name " ,
" message " : " Missing required field " ,
" statusCode " : 400 ,
" name " : " BadRequestError "
} Typically, this error means that your access token value is invalid.
{
" message " : " Unauthorized " ,
" statusCode " : 401 ,
" name " : " UnauthorizedError "
} Indicates that the syntax of the request is good but a value supplied is not valid.
{
" message " : " Validation failed: Resource identifier can't be blank, Audiences can't be blank " ,
" statusCode " : 422 ,
" name " : " UnprocessableEntityError "
} Response Elements idUnique ID for auth server in OneLogin.
Postman Collection
Sample Code cURL Replace sample values indicated by < > with your actual values.
Update an API Authorization Server curl 'https://<subdomain>.onelogin.com/api/2/apps/:id' \
-X PUT \
-H "Authorization: bearer <access_token>"
-H "Content-Type: application/json" \
-d '{
"name": "Contacts API",
"description": "This is an api",
"configuration": {
"resource_identifier": "https://example.com/contacts",
"audiences": ["https://example.com/contacts"],
"access_token_expiration_minutes": 10,
"refresh_token_expiration_minutes": 30
}
}'
Have a Question? Looking for walkthroughs or how-to guides? Check out our Knowledge Base .
Have a product idea or request? Share it in our Ideas Portal .